#!/usr/bin/perl 
#use strict;
use Encode;
use utf8;
binmode(STDOUT, ":utf8");
	
open BAZA_KANA, "<baza_kana.txt";
chomp (@baza_kana = <BAZA_KANA>);
foreach (@baza_kana) {
	utf8::decode($_);
	}
#print @baza_kana;

open ZDANIA, "nkf -w chatlogi_do_rzniecia.txt|";
binmode(ZDANIA, ":utf8");
open ZDANIA2, ">zdania_uncoded.txt";
binmode(ZDANIA2, ":utf8");
foreach (<ZDANIA>) {
	print ZDANIA2 $_;
	}
close ZDANIA;
close ZDANIA2;
open ZDANIA3, "<zdania_uncoded.txt";
binmode(ZDANIA3, ":utf8");
chomp (@zdania_uncoded=<ZDANIA3>);
#foreach (@zdania_uncoded) {
#	utf8::decode($_);
#	}
#print "zdania_uncoded to @zdania_uncoded\n";
#print "zdanie nr 1 to $zdania_uncoded[0]\n";




foreach (@zdania_uncoded) {
utf8::decode($_);
$input=$_;
#print "uwaga uwaga, za chwile nastapi analiza inputu o tresci nastepujacej: $input\n";
print "analizuje: $input\n";

$input_orginalny = $input;

open GITAIGO, "nkf -w gitaigo_ANSI_hide.txt|";
	open GITAIGO_UNCODED, ">gitaigo_uncoded.txt";
	foreach (<GITAIGO>) {
		#chomp;
		print GITAIGO_UNCODED $_;
	}
	close GITAIGO_UNCODED;
	close GITAIGO;
	open GITAIGO2, "<gitaigo_uncoded.txt";
	chomp (@gitaigo2 = <GITAIGO2>);
	#print (@gitaigo2);	
	$m=0;
	$x=0;
	#$y=0;
	foreach (@gitaigo2) {
	utf8::decode($_);
	}
	#print "gitaigo2 is @gitaigo2\n";
	foreach (@gitaigo2) {
		$searching = $gitaigo2[$m];
		#print "searching $searching\n";
		#print "input $input\n"; 
		if ($input =~ /$searching/) {
		#@tablicaprobna = grep { /$searching/g }$input;
		#	print "znalazlem $searching w $input\n";
		#	$input =~ s/$searching//;
		#	print $input;
			$x++;	
			push (@znalezione_gitaigo, $searching);
		#	if ($input =~ /$searching/) {
		#		$m=$m--;
		#		}
		#	if ($input !~ /$searching/) {
				#		}
			
		#	}
		#else{
			#print "checking $searching\n";
		}
		#$m++;
				$m++;

	}
	#$y++;
	
#utf8::decode($input);
#print "input is $input\n";
push @input2, $input;
foreach (@input2) {
	utf8::decode($_);
	}

#print "input2 is @input2\n";


#print "znaki do exclamation is @znakidoexclamation\n";


	open EXCLAMATION, "nkf -w exclamation_marks_ANSI_hide.txt|";
	open EXCLAMATION_UNCODED, ">exclamation_uncoded.txt";
	foreach (<EXCLAMATION>) {
		#chomp;
		print EXCLAMATION_UNCODED $_;
	}
	close EXCLAMATION_UNCODED;
	close EXCLAMATION;
	open EXCLAMATION2, "<exclamation_uncoded.txt";
	chomp (@exclamation2 = <EXCLAMATION2>);
	#print (@exclamation2);	
	$n=0;
	#$x=0;
	$y=0;
	foreach (@exclamation2) {
	utf8::decode($_);
	}
	foreach (@exclamation2) {
		$searching_nowe = $exclamation2[$n];
		$searching_nowe = "\Q$searching_nowe\E";
		#print "searching $searching_nowe\n";
		#print "input $input\n"; 
		while ($input =~ /$searching_nowe/) {
			#print "znalazlem $searching_nowe w $input\n";
			$y++;	
			push (@znalezione_exclamations, $searching_nowe);
			$searching_nowe =~ s/\\//g;
			$input =~ s/$searching_nowe//;
			$searching_nowe = "\Q$searching_nowe\E";
			#print "\$input to $input\n";
			}
#		else{
			#print "checking $searching_nowe\n";
#		}
	$n++;
	#}else{
	#print "znalazlem $x exclamationow, zdanie $input ma wartosc emotywna $y\n";

	}
	
close EXCLAMATION2;



open ENDEARMENTS, "nkf -w endearments_ANSI_hide.txt|";
	open ENDEARMENTS_UNCODED, ">endearments_uncoded.txt";
	foreach (<ENDEARMENTS>) {
		#chomp;
		print ENDEARMENTS_UNCODED $_;
	}
	close ENDEARMENTS_UNCODED;
	close ENDEARMENTS;
	open ENDEARMENTS2, "<endearments_uncoded.txt";
	chomp (@endearments2 = <ENDEARMENTS2>);
	#print (@endearments2);	
	$o=0;
	#$x=0;
	$z=0;
	foreach (@endearments2) {
	utf8::decode($_);
	}
	foreach (@endearments2) {
		$searching_nowe2 = $endearments2[$o];
		#print "searching $searching_nowe2\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_nowe2/) {
			#print "znalazlem $searching_nowe2 w $input\n";
			$z++;
			push (@znalezione_endearments, $searching_nowe2);		
			}
		#else{
			#print "checking $searching_nowe2\n";
		#}
	$o++;
	}
close ENDEARMENTS2;



open INTERJECTIONS, "nkf -w interjections_ANSI_hide.txt|";
	open INTERJECTIONS_UNCODED, ">interjections_uncoded.txt";
	foreach (<INTERJECTIONS>) {
		#chomp;
		print INTERJECTIONS_UNCODED $_;
	}
	close INTERJECTIONS_UNCODED;
	close INTERJECTIONS;
	open INTERJECTIONS2, "<interjections_uncoded.txt";
	chomp (@interjections2 = <INTERJECTIONS2>);
	#print (@interjections2);	
	$p=0;
	#$x=0;
	$u=0;

#wyciagamy kandosi mecabem - start;

$input_mecabowy = $input;
#print "\$input_mecabowy to $input_mecabowy\n";

open ZDANIE_TEMP, ">>zdanie_temp.txt";
binmode(ZDANIE_TEMP, ":utf8");
print ZDANIE_TEMP $input_mecabowy;
close ZDANIE_TEMP;

open MECAB, "mecab -d/usr/lib/mecab/dic/ipadic/ zdanie_temp.txt |";
binmode(MECAB, ":utf8");
chomp (@dumped_mecab = <MECAB>);
#print "\@dumped_mecab to @dumped_mecab\n";
foreach (@dumped_mecab) {
	$element_mecab = $_;
	#print "\$element_mecab to $element_mecab\n";
	if ($element_mecab =~ /(.*)(\s)(.*)(感動詞|フィラー|終助詞)(.*)/g) {
		$kandoshi_mecab = $1;
		#print "\$kandoshi_mecab to $kandoshi_mecab\n";
		push (@znalezione_interjections, $kandoshi_mecab);
		$u++;
		$input_mecabowy =~ s/$kandoshi_mecab//g;
		#print "input po mecabie to teraz $input_mecabowy\n";
		}
	}
close MECAB;
unlink "zdanie_temp.txt";

$input = $input_mecabowy;


#wyciagamy kandosi mecabem - koniec;

	foreach (@interjections2) {
	utf8::decode($_);
	}
	#print "interjections2 is @interjections2\n";
	foreach (@interjections2) {
		$searching_nowe3 = $interjections2[$p];
		#print "searching $searching_nowe3\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_nowe3/) {
#			print "znalazlem $searching_nowe3 w $input\n";
			$u++;
			push (@znalezione_interjections, $searching_nowe3);				
			}
		else{
			#print "checking $searching_nowe3\n";
		}
	$p++;
	}








	
foreach (@input2) {
	$string=$_;	
	utf8::decode($string);
	#print "string is $string\n";
	@znaki = split //, $string;
	#print utf8::is_utf8($string) ? 'flagged' : 'no flag';
	#print "\n";
	#print encode('utf-8', $string);
	#print "\n";
	#binmode(STDOUT, ":utf8");
#	print "chars is\n";
	foreach (@znaki) {
#	print "$_\n";
	}
}
if ($znaki[$#znaki]=~/。/) {
#	print "znalazlem kropke wiec ja wyjebie\n";
	pop @znaki;
}


@znakidointerjection = ();
#print "znaki to @znakidointerjection";
$znakidointerjection01=pop @znaki;
$znakidointerjection02=pop @znaki;
utf8::decode($znakidointerjection01);
utf8::decode($znakidointerjection02);
push @znakidointerjection, $znakidointerjection01;
#$znakidointerjection=pop @znaki;
#utf8::decode($znakidointerjection);
#push @znakidointerjection, $znakidointerjection;
chomp (@znakidointerjection);
#print "znakidointerjection to @znakidointerjection\n";

#hajjaaa!

open INTERKON, "nkf -w interjectionowate_koncowki_zdan.txt|";
open INTERKON_UNCODED, ">interkon_uncoded.txt";
	foreach (<INTERKON>) {
		#chomp;
	print INTERKON_UNCODED $_;
	}
	close INTERKON_UNCODED;
	close INTERKON;
	open INTERKON2, "<interkon_uncoded.txt";
	chomp (@interkon2 = <INTERKON2>);
foreach (@interkon2) {
	utf8::decode($_);
	}
#	print "interkon2 is @interkon2\n";
#print "interkon2 is:\n";
#foreach (@interkon2) {
#	print "$_\n";
#	}


$p=0;
#print "znakidointerjection to @znakidointerjection\n";
#foreach (@znakidointerjection) {
#	print "znak to $_\n";
#	if ($_=~/よ/) {
#		print "znalazlem yo w $_\n";
#		}
#	}

foreach (@znakidointerjection) {
$znakidointerjection=$_;
#print "znakidointerjection is $znakidointerjection\n";
foreach (@interkon2) {
	$searching_nowe5 = $interkon2[$p];
#	print "searching $searching_nowe5\n";
#	print "input $input\n"; 
	if ($znakidointerjection =~ /$searching_nowe5/) {
#		print "znalazlem $searching_nowe5 w $input\n";
		$u++;
		push (@znalezione_interjections, $searching_nowe5);	
		}
	
	$p++;
	
	}
$p=0;
}

unshift @znakidointerjection, $znakidointerjection02;
chomp (@znakidointerjection);
#print "znakidointerjection to @znakidointerjection\n";
my $dwa_znakidointerjection = join "", @znakidointerjection;
#print "\$dwa_znakidointerjection to $dwa_znakidointerjection\n";

foreach (@interkon2) {
	$searching_nowe5 = $interkon2[$p];
#	print "searching $searching_nowe5\n";
#	print "input $input\n"; 
	if ($dwa_znakidointerjection =~ /$searching_nowe5/) {
#		print "znalazlem $searching_nowe5 w $input\n";
		$u++;
		push (@znalezione_interjections, $searching_nowe5);	
		}
	
	$p++;
	
	}


close INTERJECTIONS2;



open VULGAR, "nkf -w vulgar_emotive_expressions_hide.txt|";
	open VULGAR_UNCODED, ">vulgar_uncoded.txt";
	foreach (<VULGAR>) {
		#chomp;
		print VULGAR_UNCODED $_;
	}
	close VULGAR_UNCODED;
	close VULGAR;
	open VULGAR2, "<vulgar_uncoded.txt";
	chomp (@vulgar2 = <VULGAR2>);
	#print (@vulgar2);	
	$vulg1=0;
	#$x=0;
	$vulg2=0;
	foreach (@vulgar2) {
	utf8::decode($_);
	}
	foreach (@vulgar2) {
		$searching_nowe4 = $vulgar2[$vulg1];
		#print "searching $searching_nowe4\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_nowe4/) {
			#print "znalazlem $searching_nowe4 w $input\n";
			$vulg2++;
			push (@znalezione_vulgar, $searching_nowe4);				
			}
		else{
			#print "checking $searching_nowe4\n";
		}
	$vulg1++;
	}
close VULGAR2;



if ($x>0) {
#print "znalazlem $x gitaigow:";
#print "@znalezione_gitaigo\n";}
if ($y>0) {
#print "znalazlem $y exclamationow:";
foreach (@znalezione_exclamations) {$_ =~ s/\\//g;}
#print "@znalezione_exclamations\n";}
if ($z>0) {
#print "znalazlem $z endearmentow:";
#print "@znalezione_endearments\n";}
if ($u>0) {
#print "znalazlem $u interjectionow:";
#print "@znalezione_interjections\n";}
if ($vulg2>0) {
#print "znalazlem $vulg2 slow brzydkich:";
#print "@znalezione_vulgar\n";}

#tutaj zaczyna dzialac wyszukiwarka emotikonow;

$emoznaki = 'DdFfWwOorzbBPpqmuUVvYynXxTA03|\"|\#|\$|\%|\&|\'|\(|\)|\*|\+|\,|\-|\_|\=|\^|\~|\.|\/|\\|\||\;|\:|\>|\<|\[|\]|\{|\}|\、|\。|\，|\．|\・|\：|\；\゛|\゜|\´|\｀|\¨|\＾|\￣|\＿|\ヽ|\ヾ|\ゝ|\ゞ|\〃|\仝|\々|\〆|\0|\ー|\―|\‐|\／|\＼|\～|\〜|\∥|\｜|\‥|\‘|\’|\“|\”|\（|\）|\〔|\〕|\［|\］|\｛|\｝|\〈|\〉|\《|\》|\「|\」|\『|\』|\【|\】|\＋|\－|\±|\×|\÷|\＝|\≠|\＜|\＞|\≦|\≧|\∞|\∴|\♂|\♀|\°|\′|\″|\℃|\￥|\＄|\￠|\￡|\％|\＃|\＆|\＊|\＠|\§|\☆|\★|\○|\●|\◎|\◇|\◆|\□|\■|\△|\▲|\▽|\▼|\※|\〒|\→|\←|\↑|\↓|\〓|\|\∈|\∋|\⊆|\⊇|\⊂|\⊃|\∪|\∩|\∧|\∨|\￢|\⇒|\⇔|\∀|\∃|\∠|\⊥|\⌒|\∂|\∇|\≡|\≒|\≪|\≫|\√|\∽|\∝|\∵|\∫|\∬|\Å|\‰|\♯|\♭|\♪|\†|\‡|\¶|\◯|\Α|\Β|\Γ|\Δ|\Ε|\Ζ|\Η|\Θ|\Ι|\Κ|\Λ|\Μ|\Ν|\Ξ|\Ο|\Π|\Ρ|\Σ|\Τ|\Υ|\Φ|\Χ|\Ψ|\Ω|\α|\β|\γ|\δ|\ε|\ζ|\η|\θ|\ι|\κ|\λ|\μ|\ν|\ξ|\ο|\π|\ρ|\σ|\τ|\υ|\φ|\χ|\ψ|\ω|\А|\Б|\В|\Г|\Д|\Е|\Ё|\Ж|\З|\И|\Й|\К|\Л|\М|\Н|\О|\П|\Р|\С|\Т|\У|\Ф|\Х|\Ц|\Ч|\Ш|\Щ|\Ъ|\Ы|\Ь|\Э|\Ю|\Я|\а|\б|\в|\г|\д|\е|\ё|\ж|\з|\и|\й|\к|\л|\м|\н|\о|\п|\р|\с|\т|\у|\ф|\х|\ц|\ч|\ш|\щ|\ъ|\ы|\ь|\э|\ю|\я|\─|\│|\┌|\┐|\┘|\└|\├|\┬|\┤|\┴|\┼|\━|\┃|\┏|\┓|\┛|\┗|\┣|\┳|\┫|\┻|\╋|\┠|\┯|\┨|\┷|\┿|\┝|\┰|\┥|\┸|\╂|\≒|\≡|\∫|\∮|\∑|\√|\⊥|\∠|\∟|\⊿|\∵|\∩|\∪';

#print $_ for $string =~ /[[:graph:]]/g;

#1(1)
if ($input =~ /([$emoznaki]){3,}/){
	#print "znalazlem conajmniej 1 emotikon.\n";
	#print "identyfikuje emotikon\n";

	open EMOTY, "nkf -w emotikony_hide.txt|";
	binmode(EMOTY, ":utf8");
	open EMOTY_UNCODED, ">emotikony_uncoded.txt";
	binmode(EMOTY_UNCODED, ":utf8");
	foreach (<EMOTY>) {
		print EMOTY_UNCODED $_;
		}
	close EMOTY_UNCODED;
	close EMOTY;
	open EMOTY2, "<emotikony_uncoded.txt";
	binmode(EMOTY2, ":utf8");
	chomp (@emoty2 = <EMOTY2>);
	#print (@emoty2);	
	$emo1=0;
	$emo2=0;
	foreach (@emoty2) {
		utf8::decode($_);
		}
	foreach (@emoty2) {		
		$searching_nowe6 = $emoty2[$emo1];
		#print "searching $searching_nowe6\n";
		#print "input $input\n";
		#print "\$input to $input\n";
		$searching_nowe6 = "\Q$searching_nowe6\E";
		if ($input =~ $searching_nowe6) {
			#$searching_nowe6 =~ s/\\//g;
			#print "znalazlem $searching_nowe6 w $input\n";
			$emo2++;
			push (@znalezione_emoty, $searching_nowe6);
			$input =~ s/$searching_nowe6//g;
			}
		$emo1++;
		next;
		}
		#close EMOTY2;

#1.1(2)
		if ($emo2==0) {
			#print "nie udalo sie sprecyzowac emotikonu. czy chcesz dopisac emotikon wlasnorecznie? y(yes)/n(no)\n";
#			chomp ($odp= <STDIN>);
#			binmode(STDIN, ":utf8");

			chomp ($odp eq "n");

#1.1.1(3)
			if ($odp eq "y") {
				print "wprowadz nowy emotikon:\n";
				chomp ($nowa_emota= <STDIN>);
				$nowa_emota = "\Q$nowa_emota\E";
				$nowa_emota =~ s/\\//g;
				print "dodaje nowa emotke do znalezionych\n";
				push (@znalezione_emoty, $nowa_emota);
				$input =~ s/$nowa_emota//g;
				$nowa_emota =~ s/\\//g;
				print "znalezione_emoty to @znalezione_emoty\n";
				print "dodaje nowa emotke $nowa_emota do bazy danych\n";
				open EMOTY3, ">>emotikony_hide.txt";
				binmode(EMOTY3, ":utf8");
				print EMOTY3 "$nowa_emota\n";
				close EMOTY3;
				$emo2++;
				print "\$input to teraz $input\n";
#1.1.1.1(4)				
				if ($input =~ /([$emoznaki]){3,}/){
					print "prawdopodobnie w zdaniu znajduje sie jeszcze jeden emotikon, ale nie moge go zindentyfikowac. czy chcesz dopisac kolejny emotikon wlasnorecznie? y(yes)/n(no)\n";
					chomp ($odp=<STDIN>);
					binmode(STDIN, ":utf8");
#1.1.1.1.1(5)
					if ($odp eq "y") {
						print "wprowadz nastepny nowy emotikon:\n";
						chomp ($nowa_emota_2=<STDIN>);
						$nowa_emota_2 = "\Q$nowa_emota_2\E";
						print "dodaje nastepna nowa emotke do znalezionych\n";
						push (@znalezione_emoty, $nowa_emota_2);
						$input =~ s/$nowa_emota_2//g;
						$nowa_emota_2 =~ s/\\//g;
						print "znalezione_emoty to teraz @znalezione_emoty\n";
						print "dodaje nowa emotke $nowa_emota_2 do bazy danych\n";
						open EMOTY3, ">>emotikony_hide.txt";
						binmode(EMOTY3, ":utf8");
						print EMOTY3 "$nowa_emota_2\n";	
						close EMOTY3;
						$emo2++;
						print "\$input to teraz $input\n";
#1.1.1.1.1.1(6)						
						if ($input =~ /([$emoznaki]){3,}/){
							print "prawdopodobnie w zdaniu znajduje sie jeszcze jeden emotikon, ale nie moge go zindentyfikowac. czy chcesz dopisac kolejny emotikon wlasnorecznie? y(yes)/n(no)\n";
							chomp ($odp=<STDIN>);
							binmode(STDIN, ":utf8");
#1.1.1.1.1.1.1(7)
							if ($odp eq "y") {
								print "wprowadz nastepny nowy emotikon:\n";
								chomp ($nowa_emota_3=<STDIN>);
								$nowa_emota_3 = "\Q$nowa_emota_3\E";
								print "dodaje nastepna nowa emotke do znalezionych\n";
								push (@znalezione_emoty, $nowa_emota_3);
								$input =~ s/$nowa_emota_3//g;
								$nowa_emota_3 =~ s/\\//g;
								print "znalezione_emoty to teraz @znalezione_emoty\n";
								print "dodaje nowa emotke $nowa_emota_3 do bazy danych\n";
								open EMOTY3, ">>emotikony_hide.txt";
								binmode(EMOTY3, ":utf8");
								print EMOTY3 "$nowa_emota_3\n";	
								close EMOTY3;
								$emo2++;
								print "\$input to teraz $input\n";
#1.1.1.1.1.1.1.1(8)
							if ($input =~ /([$emoznaki]){3,}/){
								print "prawdopodobnie w zdaniu znajduje sie jeszcze jeden emotikon, ale nie moge go zindentyfikowac. czy chcesz dopisac kolejny emotikon wlasnorecznie? y(yes)/n(no)\n";
								chomp ($odp=<STDIN>);
								binmode(STDIN, ":utf8");
#1.1.1.1.1.1.1.1.1(9)
								if ($odp eq "y") {
									print "wprowadz nastepny nowy emotikon:\n";
									chomp ($nowa_emota_4=<STDIN>);
									$nowa_emota_4 = "\Q$nowa_emota_4\E";
									print "dodaje nastepna nowa emotke do znalezionych\n";
									push (@znalezione_emoty, $nowa_emota_4);
									$input =~ s/$nowa_emota_4//g;
									$nowa_emota_4 =~ s/\\//g;
									print "znalezione_emoty to teraz @znalezione_emoty\n";
									print "dodaje nowa emotke $nowa_emota_4 do bazy danych\n";
									open EMOTY3, ">>emotikony_hide.txt";
									binmode(EMOTY3, ":utf8");
									print EMOTY3 "$nowa_emota_4\n";	
									close EMOTY3;
									$emo2++;
									print "\$input to teraz $input\n";
#Ad. 1.1.1.1.1.1.1.1.1(9)
									} else {
									#jesli user nie dal yes
									print "nie chciales sprecyzowac kolejnego emotikonu? spoko. ilosc emotikonow wynosi wiec $emo2\n";
										}
									}
#Ad. 1.1.1.1.1.1.1.1(8)

#Ad. 1.1.1.1.1.1.1(7)
							} else {
							#jesli user nie dal yes
							print "nie chciales sprecyzowac kolejnego emotikonu? spoko. ilosc emotikonow wynosi wiec $emo2\n";
								}

#Ad. 1.1.1.1.1.1(6)
						}
#Ad. 1.1.1.1.1(5)
					} else {
					#jesli user nie dal yes
					print "nie chciales sprecyzowac kolejnego emotikonu? spoko. ilosc emotikonow wynosi wiec $emo2\n";
						} 
					
#Ad. 1.1.1.1(4)
				}
#Ad. 1.1.1(3)
			} else {
			#jesli user nie dal yes
			#print "nie chciales sprecyzowac emotikonu? nie, to nie. przyjmuje wiec wartosc domyslna dla ilosci emotikonow = 1\n";
			$emo2=1;
				} 
			
#Ad. 1.1(2) = #1.2(2)
#1.2(2)
		} else {
			#print "znalazlem $emo2 emotikonow:";
			foreach (@znalezione_emoty){$_ =~ s/\\//g;}
			#print "@znalezione_emoty\n";
			
			#print "Sprawdzam, czy w nowym inpucie nie ma kolejnych emotikonow\n";
			#print "\$input to $input\n";
#1.2.1(3)
			if ($input =~ /([$emoznaki]){3,}/){
				#print "prawdopodobnie w zdaniu znajduje sie jeszcze jeden emotikon, ale nie moge go zindentyfikowac. czy chcesz dopisac kolejny emotikon wlasnorecznie? y(yes)/n(no)\n";
#				chomp ($odp=<STDIN>);
#				binmode(STDIN, ":utf8");

				chomp ($odp eq "n");

#1.2.1.1(4)
				if ($odp eq "y") {
					print "wprowadz nastepny nowy emotikon:\n";
					chomp ($nowa_emota_2=<STDIN>);
					$nowa_emota_2 = "\Q$nowa_emota_2\E";
					print "dodaje nastepna nowa emotke do znalezionych\n";
					push (@znalezione_emoty, $nowa_emota_2);
					$input =~ s/$nowa_emota_2//g;
					$nowa_emota_2 =~ s/\\//g;
					print "znalezione_emoty to teraz @znalezione_emoty\n";
					print "dodaje nowa emotke $nowa_emota_2 do bazy danych\n";
					open EMOTY3, ">>emotikony_hide.txt";
					binmode(EMOTY3, ":utf8");
					print EMOTY3 "$nowa_emota_2\n";	
					close EMOTY3;
					$emo2++;
					print "\$input to teraz $input\n";
#1.2.1.1.1(5)				
					if ($input =~ /([$emoznaki]){3,}/){
						print "prawdopodobnie w zdaniu znajduje sie jeszcze jeden emotikon, ale nie moge go zindentyfikowac. czy chcesz dopisac kolejny emotikon wlasnorecznie? y(yes)/n(no)\n";
						chomp ($odp=<STDIN>);
						binmode(STDIN, ":utf8");
#1.2.1.1.1.1(6)
						if ($odp eq "y") {
							print "wprowadz nastepny nowy emotikon:\n";
							chomp ($nowa_emota_3=<STDIN>);
							$nowa_emota_3 = "\Q$nowa_emota_3\E";
							print "dodaje nastepna nowa emotke do znalezionych\n";
							push (@znalezione_emoty, $nowa_emota_3);
							$input =~ s/$nowa_emota_3//g;
							$nowa_emota_3 =~ s/\\//g;
							print "znalezione_emoty to teraz @znalezione_emoty\n";
							print "dodaje nowa emotke $nowa_emota_3 do bazy danych\n";
							open EMOTY3, ">>emotikony_hide.txt";
							binmode(EMOTY3, ":utf8");
							print EMOTY3 "$nowa_emota_3\n";	
							close EMOTY3;
							$emo2++;
							print "\$input to teraz $input\n";
#1.2.1.1.1.1.1(7)	
						if ($input =~ /([$emoznaki]){3,}/){
							print "prawdopodobnie w zdaniu znajduje sie jeszcze jeden emotikon, ale nie moge go zindentyfikowac. czy chcesz dopisac kolejny emotikon wlasnorecznie? y(yes)/n(no)\n";
							chomp ($odp=<STDIN>);
							binmode(STDIN, ":utf8");
#1.2.1.1.1.1.1.1(8)
							if ($odp eq "y") {
								print "wprowadz nastepny nowy emotikon:\n";
								chomp ($nowa_emota_4=<STDIN>);
								$nowa_emota_4 = "\Q$nowa_emota_4\E";
								print "dodaje nastepna nowa emotke do znalezionych\n";
								push (@znalezione_emoty, $nowa_emota_4);
								$input =~ s/$nowa_emota_4//g;
								$nowa_emota_4 =~ s/\\//g;
								print "znalezione_emoty to teraz @znalezione_emoty\n";
								print "dodaje nowa emotke $nowa_emota_4 do bazy danych\n";
								open EMOTY3, ">>emotikony_hide.txt";
								binmode(EMOTY3, ":utf8");
								print EMOTY3 "$nowa_emota_4\n";	
								close EMOTY3;
								$emo2++;
								print "\$input to teraz $input\n";
#Ad. 1.2.1.1.1.1.1.1(8)
								} else {
								#jesli user nie dal yes
								print "nie chciales sprecyzowac kolejnego emotikonu? spoko. ilosc emotikonow wynosi wiec $emo2\n";
								}
							}
#Ad. 1.2.1.1.1.1.1(7)
						
#Ad. 1.2.1.1.1.1(6)
						} else {
							#jesli user nie dal yes
							#print "nie znalazlem innych emotikonow w zdnaiu. ilosc emotikonow wynosi wiec $emo2\n";		
							}
						}
#Ad. 1.2.1.1.1(5)
						
#Ad. 1.2.1.1(4)
					} else {
					#jesli user nie dal yes
					#print "nie chciales sprecyzowac kolejnego emotikonu? spoko. ilosc emotikonow wynosi wiec $emo2\n";	
					} 
				}
#Ad. 1.2.1(3)
				
#Ad. 1.2(2)
		}

	foreach (@znalezione_emoty) {$_ =~ s/\\//g};
	#print "ostatecznie znalazlem $emo2 emotikonow:";
	#print "@znalezione_emoty\n";
	close EMOTY2;
	
#Ad.1
	} else {
		#print "sory, nie znalazlem emotikonu\n";
		$emo2=0;
		}

#tutaj przestaje dzialac wyszukiwarka emotikonow;

#print "tablicaprobna zawiera elementy @tablicaprobna\n";

if ($x>0) {
	$x_1=1;
	} else {
	$x_1=0;
	}
if ($y>0) {
	$y_1=1;
	} else {
	$y_1=0;
	}

if ($z>0) {
	$z_1=1;
	} else {
	$z_1=0;
	}

if ($u>0) {
	$u_1=1;
	} else {
	$u_1=0;
	}
if ($vulg2>0) {
	$vulg3=1;
	} else {
	$vulg3=0;
	}
if ($emo2>0) {
	$emo3=1;
	} else {
	$emo3=0;
	}

$wartosc_rodzajowa = $x_1+$y_1+$z_1+$u_1+$vulg3+$emo3;
$wartosc_ilosciowa = $x+$y+$z+$u+$vulg2+$emo2;

if ($wartosc_rodzajowa>5) {
	$wartosc_rodzajowa=5;
	}

if ($wartosc_ilosciowa>5) {
	$wartosc_ilosciowa=5;
	}

if ($wartosc_ilosciowa==0) {
				print "zdanie jest nieemotywne.\n";
				#print "a wiec nie ma rowniez uczuc w tym zdaniu.\n\n";
				next;

				} else {
				#print "zdanie jest emotywne.\n";
#print "proponowana rodzajowa wartosc emotywna wynosi $wartosc_rodzajowa\n";
print "proponowana ilosciowa wartosc emotywna wynosi $wartosc_ilosciowa\n";


}


#print "input obecny to teraz $input\n";
#print "input orginalny to $input_orginalny\n";

#$input = $input_orginalny;

#$input = $input_mecabowy;
#print "input obecny to teraz rowniez $input\n";


#naprawiamy input mecabem - start;

foreach (@dumped_mecab) {
	$element_mecab = $_;
	#print "\$element_mecab to $element_mecab\n";
	if ($element_mecab =~ m/(てえ|てぇ|ねえ|ねぇ)(\s)(.*)(たい|ない)(.*)/g) {
		$element_mecab =~ s/(てえ|てぇ|ねえ|ねぇ)(\s)(.*)(助動詞)(.*)(音便基本形,)//g;
		$element_mecab =~ s/(,テエ,テー|,テェ,テー|,ネエ,ネー|,ネェ,ネー)(.*)//g;
		#print "\$element_mecab to teraz $element_mecab\n";
		} elsif ($element_mecab =~ m/(.*)(EOS)(.*)/g) {
		$element_mecab =~ s/(.*)//g;
		} elsif ($element_mecab =~ m/(.*)(\s)(.*)(形容詞|動詞)(,)(.*)(,)(.*)(,)(.*)(,)(.*)(,)(.*)(,)(.*)(,)(.*)/g) {
		$element_mecab = $14;
		} else {
		$element_mecab =~ s/(\s)(.*)//g;
		#print "\$element_mecab to teraz $element_mecab\n";
		}
	#print "\$element_mecab to teraz $element_mecab\n";
	open TYMCZAS, ">>tymczas.txt";
	binmode(TYMCZAS, ":utf8");
	print TYMCZAS $element_mecab;
	close TYMCZAS;
	}

open TYMCZAS2, "<tymczas.txt";
binmode(TYMCZAS2, ":utf8");
@tymczas = <TYMCZAS2>;
my $input = join "", @tymczas;
close TYMCZAS2;
unlink "tymczas.txt";
#print "\$input to $input\n";


#naprawiamy input mecabem - koniec; teraz sprawdzamy frankensztajna po mecabie;



#wstawiamy nakamure


open AWARE, "nkf -w aware_hide.txt|";
binmode(AWARE, ":utf8");
	open AWARE_UNCODED, ">aware_uncoded.txt";
binmode(AWARE_UNCODED, ":utf8");
	foreach (<AWARE>) {
		#chomp;
		print AWARE_UNCODED $_;
	}
	close AWARE_UNCODED;
	close AWARE;
	open AWARE2, "<aware_uncoded.txt";
binmode(AWARE2, ":utf8");
	chomp (@aware2 = <AWARE2>);
	#print "@aware2\n";	
	$a=0;
	#$x=0;
	$ilosc_aware=0;
	foreach (@aware2) {
	utf8::decode($_);
	}

	foreach (@aware2) {
		$searching_aware = $aware2[$a];
		#print "searching $searching_aware\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_aware/) {
			#print "znalazlem $searching_aware w $input\n";
			$ilosc_aware++;
			push (@znalezione_aware, $searching_aware);				
			}
		else{
			#print "checking $searching_aware\n";
		}
	$a++;
	}
close AWARE2;
if ($ilosc_aware > 0) {
#print "w bazie danych aware znaleziono $ilosc_aware elementow: ";
#print "@znalezione_aware\n";
push @znalezione_uczucia, "smutek";
}


open HAJI, "nkf -w haji_hide.txt|";
binmode(HAJI, ":utf8");
	open HAJI_UNCODED, ">haji_uncoded.txt";
binmode(HAJI_UNCODED, ":utf8");
	foreach (<HAJI>) {
		#chomp;
		print HAJI_UNCODED $_;
	}
	close HAJI_UNCODED;
	close HAJI;
	open HAJI2, "<haji_uncoded.txt";
binmode(HAJI2, ":utf8");
	chomp (@haji2 = <HAJI2>);
	#print (@haji2);	
	$b=0;
	#$x=0;
	$ilosc_haji=0;
	foreach (@haji2) {
	utf8::decode($_);
	}

	foreach (@haji2) {
		$searching_haji = $haji2[$b];
		#print "searching $searching_haji\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_haji/) {
			#print "znalazlem $searching_haji w $input\n";
			$ilosc_haji++;
			push (@znalezione_haji, $searching_haji);				
			}
		else{
			#print "checking $searching_haji\n";
		}
	$b++;
	}
close HAJI2;
if ($ilosc_haji > 0) {
#print "w bazie danych haji znaleziono $ilosc_haji elementow: ";
#print "@znalezione_haji\n";
push @znalezione_uczucia, "wstyd";
}



open IKARI, "nkf -w ikari_hide.txt|";
binmode(IKARI, ":utf8");
	open IKARI_UNCODED, ">ikari_uncoded.txt";
binmode(IKARI_UNCODED, ":utf8");
	foreach (<IKARI>) {
		#chomp;
		print IKARI_UNCODED $_;
	}
	close IKARI_UNCODED;
	close IKARI;
	open IKARI2, "<ikari_uncoded.txt";
binmode(IKARI2, ":utf8");
	chomp (@ikari2 = <IKARI2>);
	#print (@ikari2);	
	$c=0;
	#$x=0;
	$ilosc_ikari=0;
	foreach (@ikari2) {
	utf8::decode($_);
	}

	foreach (@ikari2) {
		$searching_ikari = $ikari2[$c];
		#print "searching $searching_ikari\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_ikari/) {
			#print "znalazlem $searching_ikari w $input\n";
			$ilosc_ikari++;
			push (@znalezione_ikari, $searching_ikari);				
			}
		else{
			#print "checking $searching_ikari\n";
		}
	$c++;
	}
close IKARI2;
if ($ilosc_ikari > 0) {
#print "w bazie danych ikari znaleziono $ilosc_ikari elementow: ";
#print "@znalezione_ikari\n";
push @znalezione_uczucia, "gniew";
}



open IYA, "nkf -w iya_hide.txt|";
binmode(IYA, ":utf8");
	open IYA_UNCODED, ">iya_uncoded.txt";
binmode(IYA_UNCODED, ":utf8");
	foreach (<IYA>) {
		#chomp;
		print IYA_UNCODED $_;
	}
	close IYA_UNCODED;
	close IYA;
	open IYA2, "<iya_uncoded.txt";
binmode(IYA2, ":utf8");
	chomp (@iya2 = <IYA2>);
	#print (@iya2);	
	$d=0;
	#$x=0;
	$ilosc_iya=0;
	foreach (@iya2) {
	utf8::decode($_);
	}
	
	foreach (@iya2) {
		$searching_iya = $iya2[$d];
		#print "searching $searching_iya\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_iya/) {
			#print "znalazlem $searching_iya w $input\n";
			$ilosc_iya++;
			push (@znalezione_iya, $searching_iya);				
			}
		else{
			#print "checking $searching_iya\n";
		}
	$d++;
	}
close IYA2;
if ($ilosc_iya > 0) {
#print "w bazie danych iya znaleziono $ilosc_iya elementow: ";
#print "@znalezione_iya\n";
push @znalezione_uczucia, "niechec";
}



open KOWA, "nkf -w kowa_hide.txt|";
binmode(KOWA, ":utf8");
	open KOWA_UNCODED, ">kowa_uncoded.txt";
binmode(KOWA_UNCODED, ":utf8");
	foreach (<KOWA>) {
		#chomp;
		print KOWA_UNCODED $_;
	}
	close KOWA_UNCODED;
	close KOWA;
	open KOWA2, "<kowa_uncoded.txt";
binmode(KOWA2, ":utf8");
	chomp (@kowa2 = <KOWA2>);
	#print (@kowa2);	
	$e=0;
	#$x=0;
	$ilosc_kowa=0;
	foreach (@kowa2) {
	utf8::decode($_);
	}
	foreach (@kowa2) {
		$searching_kowa = $kowa2[$e];
		#print "searching $searching_kowa\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_kowa/) {
			#print "znalazlem $searching_kowa w $input\n";
			$ilosc_kowa++;
			push (@znalezione_kowa, $searching_kowa);				
			}
		else{
			#print "checking $searching_kowa\n";
		}
	$e++;
	}
close KOWA2;
if ($ilosc_kowa > 0) {
#print "w bazie danych kowa znaleziono $ilosc_kowa elementow: ";
#print "@znalezione_kowa\n";
push @znalezione_uczucia, "strach";
}



open ODOROKI, "nkf -w odoroki_hide.txt|";
binmode(ODOROKI, ":utf8");
	open ODOROKI_UNCODED, ">odoroki_uncoded.txt";
binmode(ODOROKI_UNCODED, ":utf8");
	foreach (<ODOROKI>) {
		#chomp;
		print ODOROKI_UNCODED $_;
	}
	close ODOROKI_UNCODED;
	close ODOROKI;
	open ODOROKI2, "<odoroki_uncoded.txt";
binmode(ODOROKI2, ":utf8");
	chomp (@odoroki2 = <ODOROKI2>);
	#print (@kowa2);	
	$f=0;
	#$x=0;
	$ilosc_odoroki=0;
	foreach (@odoroki2) {
	utf8::decode($_);
	}
	foreach (@odoroki2) {
		$searching_odoroki = $odoroki2[$f];
		#print "searching $searching_odoroki\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_odoroki/) {
			#print "znalazlem $searching_odoroki w $input\n";
			$ilosc_odoroki++;
			push (@znalezione_odoroki, $searching_odoroki);				
			}
		else{
			#print "checking $searching_odoroki\n";
		}
	$f++;
	}
close ODOROKI2;
if ($ilosc_odoroki > 0) {
#print "w bazie danych odoroki znaleziono $ilosc_odoroki elementow: ";
#print "@znalezione_odoroki\n";
push @znalezione_uczucia, "zdziwienie";
}


open SUKI, "nkf -w suki_hide.txt|";
binmode(SUKI, ":utf8");
	open SUKI_UNCODED, ">suki_uncoded.txt";
binmode(SUKI_UNCODED, ":utf8");
	foreach (<SUKI>) {
		#chomp;
		print SUKI_UNCODED $_;
	}
	close SUKI_UNCODED;
	close SUKI;
	open SUKI2, "<suki_uncoded.txt";
binmode(SUKI2, ":utf8");
	chomp (@suki2 = <SUKI2>);
	#print (@suki2);	
	$g=0;
	#$x=0;
	$ilosc_suki=0;
	foreach (@suki2) {
	utf8::decode($_);
	}
		
	foreach (@suki2) {
		$searching_suki = $suki2[$g];
		#print "searching $searching_suki\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_suki/) {
			#print "znalazlem $searching_suki w $input\n";
			$ilosc_suki++;
			push (@znalezione_suki, $searching_suki);				
			}
		else{
			#print "checking $searching_suki\n";
		}
	$g++;
	}
close SUKI2;
if ($ilosc_suki > 0) {
#print "w bazie danych suki znaleziono $ilosc_suki elementow: ";
#print "@znalezione_suki\n";
push @znalezione_uczucia, "lubienie";
}



open TAKABURI, "nkf -w takaburi_hide.txt|";
binmode(TAKABURI, ":utf8");
	open TAKABURI_UNCODED, ">takaburi_uncoded.txt";
binmode(TAKABURI_UNCODED, ":utf8");
	foreach (<TAKABURI>) {
		#chomp;
		print TAKABURI_UNCODED $_;
	}
	close TAKABURI_UNCODED;
	close TAKABURI;
	open TAKABURI2, "<takaburi_uncoded.txt";
binmode(TAKABURI2, ":utf8");
	chomp (@takaburi2 = <TAKABURI2>);
	#print (@takaburi2);	
	$h=0;
	#$x=0;
	$ilosc_takaburi=0;
	foreach (@takaburi2) {
	utf8::decode($_);
	}
	foreach (@takaburi2) {
		$searching_takaburi = $takaburi2[$h];
		#print "searching $searching_takaburi\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_takaburi/) {
			#print "znalazlem $searching_takaburi w $input\n";
			$ilosc_takaburi++;
			push (@znalezione_takaburi, $searching_takaburi);				
			}
		else{
			#print "checking $searching_takaburi\n";
		}
	$h++;
	}
close TAKABURI2;
if ($ilosc_takaburi > 0) {
#print "w bazie danych takaburi znaleziono $ilosc_takaburi elementow: ";
#print "@znalezione_takaburi\n";
push @znalezione_uczucia, "wzburzenie";
}


open YASU, "nkf -w yasu_hide.txt|";
binmode(YASU, ":utf8");
	open YASU_UNCODED, ">yasu_uncoded.txt";
binmode(YASU_UNCODED, ":utf8");
	foreach (<YASU>) {
		#chomp;
		print YASU_UNCODED $_;
	}
	close YASU_UNCODED;
	close YASU;
	open YASU2, "<yasu_uncoded.txt";
binmode(YASU2, ":utf8");
	chomp (@yasu2 = <YASU2>);
	#print (@yasu2);	
	$i=0;
	#$x=0;
	$ilosc_yasu=0;
	foreach (@yasu2) {
	utf8::decode($_);
	}
	foreach (@yasu2) {
		$searching_yasu = $yasu2[$i];
		#print "searching $searching_yasu\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_yasu/) {
			#print "znalazlem $searching_yasu w $input\n";
			$ilosc_yasu++;
			push (@znalezione_yasu, $searching_yasu);				
			}
		else{
			#print "checking $searching_yasu\n";
		}
	$i++;
	}
close YASU2;
if ($ilosc_yasu > 0) {
#print "w bazie danych yasu znaleziono $ilosc_yasu elementow: ";
#print "@znalezione_yasu\n";
push @znalezione_uczucia, "uspokojenie";
	}




open YOROKOBI, "nkf -w yorokobi_hide.txt|";
binmode(YOROKOBI, ":utf8");
	open YOROKOBI_UNCODED, ">yorokobi_uncoded.txt";
binmode(YOROKOBI_UNCODED, ":utf8");
	foreach (<YOROKOBI>) {
		#chomp;
		print YOROKOBI_UNCODED $_;
	}
	close YOROKOBI_UNCODED;
	close YOROKOBI;
	open YOROKOBI2, "<yorokobi_uncoded.txt";
binmode(YOROKOBI2, ":utf8");
	chomp (@yorokobi2 = <YOROKOBI2>);
	#print (@yorokobi2);	
	$j=0;
	#$x=0;
	$ilosc_yorokobi=0;
	foreach (@yorokobi2) {
	utf8::decode($_);
	}
	foreach (@yorokobi2) {
		$searching_yorokobi = $yorokobi2[$j];
		#print "searching $searching_yorokobi\n";
		#print "input $input\n"; 
		if ($input =~ /$searching_yorokobi/) {
			#print "znalazlem $searching_yorokobi w $input\n";
			$ilosc_yorokobi++;
			push (@znalezione_yorokobi, $searching_yorokobi);				
			}
		else{
			#print "checking $searching_yorokobi\n";
		}
	$j++;
	}
close YOROKOBI2;

if ($ilosc_yorokobi>0) {
#print "w bazie danych yorokobi znaleziono $ilosc_yorokobi elementow: ";
#print "@znalezione_yorokobi\n";
push @znalezione_uczucia, "radosc";
} 

#dotad dziala


if ($ilosc_aware+$ilosc_haji+$ilosc_ikari+$ilosc_takaburi+$ilosc_kowa+$ilosc_suki+$ilosc_odoroki+$ilosc_iya+$ilosc_yasu+$ilosc_yorokobi==0)
		{
		print "nie udalo sie sprecyzowac uczuc\n";
		} else {

print "we wprowadzonym zdaniu znaleziono nastepujace uczucia: @znalezione_uczucia\n\n";
print "znalezione uczucia ";

foreach (@znalezione_uczucia) {
	$znalezione_uczucia = $_;
	if ($znalezione_uczucia =~ m/wzburzenie|zdziwienie|wstyd/g) {push @valence, "b";} # b = both
	if ($znalezione_uczucia =~ m/lubienie|uspokojenie|radosc/g) {push @valence, "p";} # p = plus, m = minus
	if ($znalezione_uczucia =~ m/gniew|strach|smutek|niechec/g) {push @valence, "m";}

	if ($znalezione_uczucia =~ m/niechec|radosc|lubienie/g) {push @activation, "b";}
	if ($znalezione_uczucia =~ m/gniew|strach|wzburzenie|zdziwienie|wstyd/g) {push @activation, "a";} # a = aktywne, d = nieaktywne/deaktywne
	if ($znalezione_uczucia =~ m/smutek|uspokojenie/g) {push @activation, "d";}

	}

	my $valence = join "", @valence;
	s/\n//g;
	if ($valence =~ m/b/g) {print "moga byc zarowno pozytywne, jak i negatywne";} 
	if ($valence =~ m/pm|mp/g) {print "sa zarowno pozytywne, jak i negatywne";}
	$valence =~ s/mp//g;
	$valence =~ s/pm//g;
	$valence =~ s/bm//g;
	$valence =~ s/bp//g;
	$valence =~ s/mb//g;
	$valence =~ s/pb//g;
	if ($valence =~ m/\+/) {print "sa pozytywne";} 
	if ($valence =~ m/\-/)  {print "sa negatywne";}

print " oraz ";

	my $activation = join "", @activation;
	if ($activation =~ m/b/g) {print "moga byc zarowno aktywujace, jak i dezaktywujace";} 
	if ($activation =~ m/da|ad/g) {print "sa zarowno aktywujace, jak i dezaktywujace";} 
	$activation =~ s/da//g;
	$activation =~ s/ad//g;
	$activation =~ s/ba//g;
	$activation =~ s/bd//g;
	$activation =~ s/ab//g;
	$activation =~ s/db//g;
	if ($activation =~ m/a/g) {print "sa aktywujace";} 
	if ($activation =~ m/d/g) {print "sa dezaktywujace";}

print "\n\n";

}


@gitaigo2 = ();
@znalezione_gitaigo = ();
@exclamation2 = ();
@znalezione_exclamations = ();
@endearments2 = ();
@znalezione_endearments = ();
@interjections2 = ();
@znalezione_interjections = ();
@znaki = ();
@znakidointerjection = ();
@interkon2 = ();
@vulgar2 = ();
@znalezione_vulgar = ();
@aware2 = ();
@znalezione_aware = ();
@znalezione_uczucia = ();
@haji2 = ();
@znalezione_haji = ();
@ikari2 = ();
@znalezione_ikari = ();
@iya2 = ();
@znalezione_iya = ();
@kowa2 = ();
@znalezione_kowa = ();
@odoroki2 = ();
@znalezione_odoroki = ();
@suki2 = ();
@znalezione_suki = ();
@takaburi2 = ();
@znalezione_takaburi = ();
@yasu2 = ();
@znalezione_yasu = ();
@yorokobi2 = ();
@znalezione_yorokobi = ();
@input2 = ();
@znalezione_emoty = ();
}
